﻿using BuaaLocationServer.Models;
using Microsoft.EntityFrameworkCore;

namespace BuaaLocationServer.Middlewares.Db
{
    public class BuaaDbContext : DbContext
    {
        public DbSet<User> Users { set; get; }
        public DbSet<Company> Companies { get; set; }
        public BuaaDbContext(DbContextOptions<BuaaDbContext> options) : base(options)
        {

        }

        internal async void SeedDefaultData()
        {
            if (!this.Users.Any())
            {
                var newUsers = new List<User>
                {
                    new User
                    {
                        UserName = "admin",
                        Password = BCrypt.Net.BCrypt.HashPassword("admin"),
                    }
                };
                this.Users.AddRange(newUsers);
            }

            await this.SaveChangesAsync();
        }
    }
}
