﻿using System.Security.Claims;

namespace BuaaLocationServer.Middlewares.Jwts
{
    /// <summary>
    /// JWT 服务器接口。
    /// </summary>
    public interface IJwtService
    {
        /// <summary>
        /// 创建一个 JWT。
        /// </summary>
        /// <param name="identity"></param>
        /// <returns></returns>
        string Create(ClaimsIdentity identity);

        /// <summary>
        /// 验证 JWT 是否有效。
        /// </summary>
        /// <param name="token"></param>
        /// <param name="principal"></param>
        /// <returns></returns>
        bool Validate(string token, out ClaimsPrincipal principal);
    }
}