﻿namespace BuaaLocationServer.Middlewares.Jwts
{
    /// <summary>
    /// JWT 配置项。
    /// </summary>
    public class JwtOptions
    {
        /// <summary>
        /// Secret。
        /// </summary>
        public string Secret { get; set; } = null!;

        /// <summary>
        /// Issuer。
        /// </summary>
        public string Issuer { get; set; } = null!;

        /// <summary>
        /// Audience。
        /// </summary>
        public string Audience { get; set; } = null!;

        /// <summary>
        /// Expires。
        /// </summary>
        public double Expires { get; set; }

        /// <summary>
        /// Refresh Expires。
        /// </summary>
        public double RefreshExpires { get; set; }
    }
}